Package wx :: Class PaintDC

[frames | no frames]

## Type PaintDC

    object --+
             |
        Object --+
                 |
                DC --+
                     |
              WindowDC --+
                         |
                  ClientDC --+
                             |
                            PaintDC

A wx.PaintDC must be constructed if an application wishes to paint on the client area of a window from within an EVT_PAINT event handler. This should normally be constructed as a temporary stack object; don't store a wx.PaintDC object. If you have an EVT_PAINT handler, you must create a wx.PaintDC object within it even if you don't actually use it.

Using wx.PaintDC within EVT_PAINT handlers is important because it automatically sets the clipping area to the damaged area of the window. Attempts to draw outside this area do not appear.

To draw on a window from outside EVT_PAINT handlers, construct a `wx.ClientDC` object.

Method Summary
PaintDC | ``__init__`(self, win)` Constructor.

Property Summary
| `thisown`: The membership flag

Method Details

### __init__(self, win)
(Constructor)

Constructor. Pass the window on which you wish to paint.

  Parameters:
    `win`
    (type=Window)

  Returns:
    PaintDC
  Overrides:
    `wx.ClientDC.__init__`

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:59 2007 | http://epydoc.sf.net